## vsftpd 1.2.2

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 CC 	=	gcc
 INSTALL	=	install
 IFLAGS  = -idirafter dummyinc
+#CFLAGS = -g
 CFLAGS	=	-O2 -Wall -W -Wshadow #-pedantic -Werror -Wconversion
 
 LIBS	=	`./vsf_findlibs.sh`
@@ -10,8 +11,9 @@
 OBJS	=	main.o utility.o prelogin.o ftpcmdio.o postlogin.o privsock.o \
 		tunables.o ftpdataio.o secbuf.o ls.o \
 		postprivparent.o logging.o str.o netstr.o sysstr.o strlist.o \
-    dirchange.o filestr.o parseconf.o secutil.o \
-    ascii.o oneprocess.o twoprocess.o privops.o \
+    banner.o filestr.o parseconf.o secutil.o \
+    ascii.o oneprocess.o twoprocess.o privops.o standalone.o hash.o \
+    tcpwrap.o ipv6parse.o access.o \
     sysutil.o sysdeputil.o
 
 .c.o:
