## vsftpd 2.3.4

=== debian/changelog ===
vsftpd (2.3.4-1) unstable; urgency=low

  * Merging upstream version 2.3.4:
  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Makging packaging distribution neutral.
  * Updating years in copyright file.
  * Updating to standards version 3.9.2.
  * Compacting copyright file.
  * Updating debconf-po files.
  * Dropping alpha.patch, not supported anymore.
  * Renumbering patches.
  * Rediffing s390.patch.
  * Simplifying architecture listing for libcap2-dev build-depends,
    thanks to Robert Millan <rmh@debian.org> (Closes: #634725).
  * Adding Catalan debconf translations from Innocent De Marchi
    <tangram.peces@gmail.com> (Closes: #630075).
  * Adding patch from Ben Hutchings <ben@decadent.org.uk> to fix a
    remote DoS on Linux 2.6.32 (Closes: #629373).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 05 Sep 2011 15:55:00 +0200

vsftpd (2.3.2-8) experimental; urgency=low

  * Updating rules to only link against libcap on linux, thanks to Pino
    Toscano <toscano.pino@tiscali.it> (Closes: #607587).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 20 Dec 2010 06:40:40 +0100

vsftpd (2.3.2-7) experimental; urgency=low

  * Improving user checks with getent in postinst scripts, thanks to
    Scott Moser <smoser@ubuntu.com> (Closes: #607129).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Dec 2010 20:45:15 +0100

vsftpd (2.3.2-6) experimental; urgency=low

  * Adding Danish debconf translations from Joe Dalton
    <joedalton2@yahoo.dk> (Closes: #605069).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 06 Dec 2010 13:10:42 +0100

vsftpd (2.3.2-5) experimental; urgency=low

  * Correcting email address in previous changelog.
  * Updating to debhelper version 8.
  * Switching to source format 3.0 (quilt).
  * Rediffing s390.patch.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 26 Nov 2010 17:42:55 +0100

vsftpd (2.3.2-4) experimental; urgency=low

  * Making greps for vsftpd username and group in postinst more robust,
    thanks to Serge Hallyn <serge.hallyn@canonical.com> (Closes:
    #604888).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 25 Nov 2010 14:56:44 +0100

vsftpd (2.3.2-3) unstable; urgency=medium

  * Adding patch from Philipp Kern <pkern@debian.org> to fix vsftpd on
    s390 (Closes: #602726).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 09 Nov 2010 01:00:27 +0100

vsftpd (2.3.2-2) experimental; urgency=low

  * Adding Brazilian Portuguese debconf translations from Chanely
    Marques <chanelym@gmail.com> (Closes: #595658).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 05 Sep 2010 21:18:38 +0200

vsftpd (2.3.2-1) experimental; urgency=low

  * Merging upstream version 2.3.2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 01 Sep 2010 14:34:05 +0200

vsftpd (2.3.1-1) experimental; urgency=low

  * Merging upstream version 2.3.1.
  * Removing logging.patch, went upstream.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 01 Sep 2010 14:29:49 +0200

vsftpd (2.3.0-1) unstable; urgency=low

  * Merging upstream version 2.3.0.
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 14 Aug 2010 14:09:51 +0200

vsftpd (2.3.0~pre2-4) unstable; urgency=low

  * Updating standards version to 3.9.0.
  * Added updated 10-logging.patch from Jean-Louis Dupond <jean-
    louis@dupond.be> to close #579684 also for simultaneous connections.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 06 Jul 2010 00:08:41 +0200

vsftpd (2.3.0~pre2-3) unstable; urgency=low

  * Adding patch from Regid Ichira <gl2n30y06arv2@hotmail.com> to fix
    logging (Closes: #579684).
  * Updating lsb headers in init script (Closes: #579061).
  * Updating year in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 02 May 2010 18:29:18 +0200

vsftpd (2.3.0~pre2-2) unstable; urgency=low

  * Adding patch to fix manpage formatings.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 08 Apr 2010 07:19:35 +0200

vsftpd (2.3.0~pre2-1) unstable; urgency=low

  * Not failing if removal of server directory in postinst isn't
    successful (Closes: #575356).
  * Merging upstream version 2.3.0~pre2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 27 Mar 2010 09:59:03 +0100

vsftpd (2.3.0~pre1-1) unstable; urgency=low

  * Merging upstream version 2.3.0~pre1.
  * Updating README.source.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 19 Mar 2010 08:57:55 +0100

vsftpd (2.2.2-4) unstable; urgency=low

  * Adding explicit source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Adding patch from Chuck Short <zulcss@ubuntu.com> to add utf8
    support.
  * Avoiding initscript stop links as they are not required.
  * Creating group for vsftpd user in case the specified user exists,
    but not its group (Closes: #572345).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 14 Mar 2010 15:59:30 +0100

vsftpd (2.2.2-3) unstable; urgency=low

  * Moving chroot creation out of the start sequence (Closes: #472329).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 04 Dec 2009 08:37:13 +0100

vsftpd (2.2.2-2) unstable; urgency=low

  * Exiting 0 when we refuse to start vsftpd because it's disabled in
    the configuration (Closes: #557182).
  * Conditionally build against libpcap2 whetever we are on linux or not
    (Closes: #557153).
  * Renumbering patches.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 22 Nov 2009 17:32:24 +0100

vsftpd (2.2.2-1) unstable; urgency=low

  * Correcting typo in status section of the init script (Closes:
    #556260).

