=== debian/control ===
Source: vsftpd
Section: net
Priority: extra
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends:
 debhelper (>= 8), libcap2-dev [linux-any], libpam0g-dev, libssl-dev,
 libwrap0-dev
Standards-Version: 3.9.2
Homepage: http://vsftpd.beasts.org/

Package: vsftpd
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, adduser, libpam-modules, netbase
Recommends: logrotate
Conflicts: ftp-server
Replaces: ftp-server
Provides: ftp-server
Description: lightweight, efficient FTP server written for security
 This package provides the "Very Secure FTP Daemon", written from
 the ground up with security in mind.
 .
 It supports both anonymous and non-anonymous FTP access, PAM authentication,
 bandwidth limiting, and the Linux sendfile() facility.
