## vsftpd 2.3.5

=== debian/changelog ===
vsftpd (2.3.5-3ubuntu1) quantal; urgency=low

  * Merge from Debian testing (LP: #1003644).  Remaining changes:
    + debian/vsftpd.upstart: migrate vsftpd to upstart.
    + Add apport hook (LP: #513978):
      - debian/vsftpd.apport: Added.
      - debian/control: Build-depends on dh-apport.
      - debian/rules: Add --with apport.
    + Add debian/watch file.
    + debian/patches/09-disable-anonymous.patch: Disable anonymous login
      by default. (LP: #528860)
  * debian/patches/12-ubuntu-us-snakeoil-ssl.patch: Use snakeoil SSL
    certificates and key.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Wed, 23 May 2012 16:59:36 -0400

vsftpd (2.3.5-3) unstable; urgency=low

  [ Daniel Baumann ]
  * Adding changelog entry from squeeze security update.

  [ Jonathan Nieder ]
  * Adding NEWS file to warn about strengthened checks for writable root
    directory inside chroot (Closes: #656900).

  [ Daniel Baumann ]
  * Manually passing CPPFLAGS into CFLAGS when calling make in rules
    (Closes: #655103, #657693).
  * Updating package to standards version 3.9.3.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 04 Mar 2012 20:15:39 +0100

vsftpd (2.3.5-2) unstable; urgency=low

  * Updating build target in rules to actually take up the hardening
    flags, thanks to Moritz Muehlenhoff <jmm@debian.org> (Closes:
    #655103).
  * Updating to debhelper version 9.
  * Simplifying hardening in rules.
  * Adding patch from Michael Cree <mcree@orcon.net.nz> to fix FTBFS on
    alpha (Closes: #656182).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 21 Jan 2012 10:56:03 +0100

vsftpd (2.3.5-1ubuntu2) precise; urgency=low

  * debian/rules: Fix hardening based on Debian changes from 2.3.5-2 and -3.

 -- Kees Cook <kees@ubuntu.com>  Tue, 27 Mar 2012 16:05:54 -0700

vsftpd (2.3.5-1ubuntu1) precise; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian testing.  Remaining changes:
    + Use snakeoil SSL certificates and key.
    + debian/rules, debian/vsftpd.upstart: migrate vsftpd to upstart.
    + Add apport hook (LP: #513978):
      - debian/vsftpd.apport: Added.
      - debian/control: Build-depends on dh-apport.
      - debian/rules: Add --with apport.
    + debian/vsftpd.postinst: Check that group exists first,
      then the user, then trying adding the user to the group. (LP: #629234)
    + Add debian/watch file.
    + debian/patches/09-disable-anonymous.patch: Disable anonymous login by default.
      (LP: #528860)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 23 Jan 2012 09:16:04 -0500

vsftpd (2.3.5-1) unstable; urgency=low

  * Merging upstream version 2.3.5.
  * Rediffing utf8.patch.
  * Using compression level 9 also for binary packages.
  * Silencing getent calls in postinst (Closes: #641965).
  * Adding Dutch debconf translations from Jeroen Schot <schot@a-
    eskwadraat.nl> (Closes: #654859).
  * Adding Indonesian debconf translations from Mahyuddin Susanto
    <udienz@gmail.com> (Closes: #654170).
  * Enabling hardening build options (Closes: #644295).
  * Updating years in copyright.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 08 Jan 2012 10:54:36 +0100

vsftpd (2.3.4-1ubuntu2) precise; urgency=low

  * debian/vsftpd.upstart: Fix transition from runlevel 1 -> 2.
    (LP: #820700) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 02 Jan 2012 09:40:36 -0500

vsftpd (2.3.4-1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + Use snakeoil SSL certificates and key.
    + debian/rules, debian/vsftpd.upstart: migrate vsftpd to upstart.
    + Add apport hook (LP: #513978):
      - debian/vsftpd.apport: Added.
      - debian/control: Build-depends on dh-apport.
      - debian/rules: Add --with apport.
    + debian/vsftpd.postinst: Check that group exists first,
      then the user, then trying adding the user to the group. (LP: #629234)
    + Add debian/watch file.
    + debian/patches/09-disable-anonymous.patch: Disable anonymous login by default.
      (LP: #528860)
    + Dropped:
      - debian/patches/11-CVE-2011-0762.patch: No longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 06 Sep 2011 00:04:36 +0000

vsftpd (2.3.2-3+squeeze2) stable-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Disable network isolation due to a problem with cleaning up network
    namespaces fast enough in kernels < 2.6.35 (CVE-2011-2189).
    Thanks Ben Hutchings for the patch!
  * Fix possible DoS via globa expressions in STAT commands by
    limiting the matching loop (CVE-2011-0762; Closes: #622741).

 -- Nico Golde <nion@debian.org>  Wed, 07 Sep 2011 20:39:59 +0000

vsftpd (2.3.2-3ubuntu5) oneiric; urgency=low

  * Rebuild for OpenSSL 1.0.0.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 25 May 2011 22:42:28 +0100

vsftpd (2.3.2-3ubuntu4) natty; urgency=low

  * SECURITY UPDATE: denial of service via crafted glob expressions
    - debian/patches/11-CVE-2011-0762.patch: limit number of iterations in
      access.c, defs.h, ls.*. 
    - CVE-2011-0762

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 25 Mar 2011 14:29:29 -0400

vsftpd (2.3.2-3ubuntu3) natty; urgency=low

  * debian/vsftpd.upstart: Fix start of vsftpd even if not in standalone mode.
    Thanks to Stephane Chazelas (LP: #648202)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Fri, 25 Feb 2011 15:16:09 -0500

vsftpd (2.3.2-3ubuntu2) natty; urgency=low

  * debian/vsftpd.postinst: Use complete name match when checking for existing
    ftp user/group, to avoid install failure (LP: #656415)

 -- Thierry Carrez (ttx) <thierry.carrez@ubuntu.com>  Wed, 01 Dec 2010 13:46:44 +0100

vsftpd (2.3.2-3ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Use snakeoil SSL certificates and key.
    - debian/rules, debian/vsftpd.upstart: migrate vsftpd to upstart.
    - Add apport hook (LP: #513978):
      - debian/vsftpd.apport: Added.
      - debian/control: Build-depends on dh-apport.

