=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: vsftpd
 Section: net
 Priority: extra
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
  debhelper (>= 8), libcap2-dev [linux-any], libpam0g-dev, libssl-dev,
- libwrap0-dev
-Standards-Version: 3.9.2
+ libwrap0-dev, dh-apport
+Standards-Version: 3.9.3
 Homepage: http://vsftpd.beasts.org/
 
 Package: vsftpd
