## vsftpd 3.0.2

=== debian/changelog ===
vsftpd (3.0.2-1ubuntu2.14.04.1) trusty; urgency=medium

  * d/p/ubuntu-seccomp-gettimeofday.patch: permit gettimeofday() for logging
    calls (LP: #1219857).
  * Add dep8 smoke test.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 29 Apr 2014 15:33:07 +0000

vsftpd (3.0.2-1ubuntu2) saucy; urgency=low

  * debian/patches/13-disable-clone-newpid.patch
    - patch to remove CLONE_NEWPID syscall
      see: https://bugzilla.novell.com/show_bug.cgi?id=786024#c38
      Fixes LP: #1160372

 -- Daniel Llewellyn (Bang Communications) <dan@bang-on.net>  Wed, 08 May 2013 14:08:53 +0100

vsftpd (3.0.2-1ubuntu1) raring; urgency=low

  * Merge from debian unstable (LP: #1092076), remaining changes:
    - Use snakeoil SSL certificates and key.
    - debian/rules, debian/vsftpd.upstart: migrate vsftpd to upstart.
    - Add apport hook:
      + debian/vsftpd.apport: Added.
      + debian/control: Build-depends on dh-apport.
      + debian/rules: Add --with apport.
    - Add debian/watch file.
    - debian/patches/09-disable-anonymous.patch: Disable anonymous login by 
      default.

 -- Lorenzo De Liso <blackz@ubuntu.com>  Tue, 18 Dec 2012 19:59:37 +0100

vsftpd (3.0.2-1) unstable; urgency=low

  * Merging upstream version 3.0.2.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 21 Sep 2012 19:16:38 +0200

vsftpd (3.0.0-4) unstable; urgency=low

  * Non-maintainer upload with maintainer sat next to me at Debconf.
  * Fixed debian/vsftpd.init syntax error (Closes: #679710).
  * Added long description in debian/vsftpd.init.

 -- Thomas Goirand <thomas@goirand.fr>  Tue, 03 Jul 2012 15:29:20 +0000

vsftpd (3.0.0-3) unstable; urgency=low

  * Adding patch to avoid overwriting build environment (Closes:
    #677261, #678751).
  * Reenabling hardening buildflags.
  * Removing preseed file.
  * Switching to xz compression.
  * Simplyfing initscript.
  * Removing pre-squeeze update-inetd deconfiguration in postinst.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 30 Jun 2012 15:24:42 +0200

vsftpd (3.0.0-2) unstable; urgency=low

  * Temporarily build without hardening flags, doesn't build reliably
    everywhere yet (Closes: #677261).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 12 Jun 2012 18:33:09 +0200

vsftpd (3.0.0-1) unstable; urgency=low

  * Adding note about lxc in readme.
  * Merging upstream version 3.0.0.
  * Updating copyright to format 1.0.
  * Unifying po headers.
  * Sourcing lsb init-functions in initscript, thanks to Vincent Bernat
    <bernat@luffy.cx> (Closes: #670308).
  * Adding systemd service file, thanks to Vincent Bernat
    <bernat@luffy.cx>.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 06 Jun 2012 15:50:51 +0200
