=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends:
- debhelper (>= 8), libcap2-dev [linux-any], libpam0g-dev, libssl-dev,
+ debhelper (>= 9), libcap2-dev [linux-any], libpam0g-dev, libssl-dev,
  libwrap0-dev, dh-apport
 Standards-Version: 3.9.3
 Homepage: http://vsftpd.beasts.org/
+XS-Testsuite: autopkgtest
 
 Package: vsftpd
 Architecture: any
