=== debian/watch ===
version=3
ftp://vsftpd.beasts.org/users/cevans/vsftpd-(\d.*).tar.gz
