## vsftpd 3.0.3

=== debian/changelog ===
vsftpd (3.0.3-3ubuntu2) xenial; urgency=medium

  * Revert debian/patches/0013-listen.patch: In vsftpd.conf, set
    listen_ipv6=NO. This fix introduces a regression, FTBS and goes against the
    debian policy.

 -- Louis Bouchard <louis.bouchard@ubuntu.com>  Wed, 13 Apr 2016 09:29:50 +0100

vsftpd (3.0.3-3ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules:
      + Add Apport hook.

 -- Chris J Arges <chris.j.arges@canonical.com>  Fri, 12 Feb 2016 09:13:11 -0600

vsftpd (3.0.3-3) unstable; urgency=low

  * Fix Depends syntax in debian/tests/control.
  * Rewrite debian/vsftpd.bug-script to fix problems
    with attachments in bug reports (Closes: #809531).
  * debian/patches/0013-listen.patch: In vsftpd.conf, set listen_ipv6=NO,
    the default option from the vsftpd man page (Closes: #803999).
  * Add year 2016 to debian/copyright.
  * New debian/patches/0075-logfile.patch: Change mode for
    the log files to 0640.
  * Refresh debian/patches/0040-disable-anonymous.patch.
  * debian/watch: Bump version to 4 (no changes required).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 17 Jan 2016 21:06:45 +0100

vsftpd (3.0.3-2ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules:
      + Add Apport hook.

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 14 Jan 2016 14:42:46 -0600

vsftpd (3.0.3-2) unstable; urgency=medium

  * Improve UTF-8 support:
    - Merge debian/patches/0025-unconditional_utf8_report.patch
      into debian/patches/0007-utf8.patch.
    - debian/patches/0007-utf8.patch:
      + Add comment to utf8_filesystem option in vsftpd.conf (Closes: #804777).
    - Refresh debian/patches/0014-ssl-cert.patch.
  * New debian/patches/0065-upload_download_filename_pattern.patch:
    - Restrict upload and download of files with certain name patterns
      (Closes: #808595).
      Thanks to Thomas B. Preußer <thomas.preusser@utexas.edu>.
  * New debian/patches/0070-realpath_wrapper.patch:
    - Filename pattern filter as used by deny_file can only match
      existing files (Closes: #808803).
      Thanks to Thomas B. Preußer <thomas.preusser@utexas.edu>.
  * Add ftp to Depends in debian/tests/control to fix autopkgtest errors.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Fri, 25 Dec 2015 19:11:50 +0100

vsftpd (3.0.3-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules:
      + Add Apport hook.

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 29 Oct 2015 09:04:50 -0500

vsftpd (3.0.3-1) unstable; urgency=low

  * New upstream release.
    - Remove now unneeded patches:
      + 0035-address_space_limit.patch
      + 0045-seccomp-gettimeofday.patch
    - Add 2015 to debian/copyright.
  * Correct temp file handling with systemd (Closes: #789127):
    - New debian/vsftpd.tmpfile.
    - debian/vsftpd.postinst:
      + Add create of temp directory at configure.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Sun, 26 Jul 2015 13:55:16 +0200

vsftpd (3.0.2-20ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/control, debian/rules:
      + Add Apport hook.

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 06 Aug 2015 15:57:03 -0500

vsftpd (3.0.2-20) unstable; urgency=medium

  * New d/patches/0060-seccomp_sandbox.patch:
    - Set default of SECCOMP_SANDBOX to 0 (Closes: #735357).
  * Add a note about SECCOMP_SANDBOX to vsftpd.NEWS.
  * d/control:
    - change XS-Testsuite to Testsuite because dpkg now handles
      it correctly.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Mon, 25 May 2015 21:54:39 +0200

vsftpd (3.0.2-19) unstable; urgency=medium

  * vsftpd.postrm:
    - Replace fixed path with a POSIX-compliant shell function to check
      the existence of a command.
  * New debian/patches/0055-set_default_listen.patch (Closes: #783077):
    - Set the default value of tunable_listen to the same value of listen from
      the man page vsftpd.conf.
  * Rewrite bug-script:
    - debian/vsftpd.bug-script: replace dialog with yesno.
    - debian/control: remove dialog from Depends.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 21 Apr 2015 21:48:08 +0200

vsftpd (3.0.2-18ubuntu1) vivid; urgency=low

  * Merge from Debian unstable. (LP: #1427884) Remaining changes:
    - debian/control, debian/rules:
      + Add Apport hook.
    - debian/vsftpd.init, debian/vsftpd.upstart:
      + Migrate to upstart.
  * Drop following changes, fixed in Debian:
    - ubuntu-disable-anonymous.patch -> 0040-disable-anonymous.patch
    - ubuntu-seccomp-gettimeofday.patch -> 0045-seccomp-gettimeofday.patch
    - debian/tests/*, debian/control: Add dep8 test.
    - debian/watch: It doesn't work anymore.
    - debian/vsftpd.apport: Add Apport hook.

 -- Artur Rona <ari-tczew@ubuntu.com>  Wed, 04 Mar 2015 23:53:47 +0100

vsftpd (3.0.2-18) unstable; urgency=high

  * New debian/patches/0050-CVE-2015-1419.patch
    - Fix config option "deny_file" not always being handled correctly
      CVE-2015-1419 (Closes: #776922).
    - Thanks to Marcus Meissner.
  * Add year 2015 to debian/copyright.
  * debian/rules:
    - Remove override_dh_builddeb because xz compression is standard now.
  * debian/patches:
    - Refresh 0002-config.patch, 0004-link-local.patch, 0005-whitespaces.patch,
      0006-greedy.patch, 0007-utf8.patch, 0010-remote-dos.patch,
      0011-alpha.patch.
  * Remove debian/source/options because xz compression is standard now.
  * debian/vsftpd.postrm:
    - Remove systemd files and directories when purging.

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 24 Feb 2015 16:42:25 +0100

vsftpd (3.0.2-17) unstable; urgency=medium

  * Add debian/patches/0035-address_space_limit.patch to increase the
    address space (LP: #1348972).
  * Add patches from Ubuntu:
    - 0040-disable-anonymous.patch to disable anonymous login in

