## vsftpd 3.0.5

=== debian/changelog ===
vsftpd (3.0.5-0.5) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Tille ]
  * Maintain package in Debian team on Salsa
  * Secure (updated) Homepage
  * d/copyright: Update Source location
  * d/watch: version=5
  * debhelper-compat (= 13)
  * d/control:
     - Do not Depend from obsolete lsb-base
     - Drop explicit -dbg package
     - Standards-Version: 4.7.3
  * d/copyright: Remove old FSF address

  [ Remus-Gabriel Chelu ]
  * Romanian debconf templates translation of vsftpd
    Closes: #1033764

 -- Andreas Tille <tille@debian.org>  Wed, 11 Feb 2026 21:17:05 +0100

vsftpd (3.0.5-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update "max_clients" and "max_per_ip" defaults in vsftpd.conf(5) according
    to reality (and v2.1.2 Changelog). Closes: #1121330

 -- Lukas Märdian <slyon@debian.org>  Mon, 24 Nov 2025 14:49:57 +0100

vsftpd (3.0.5-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * ssl.c: correct setup_bio_callbacks signature (Closes: #1098073)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 05 Sep 2025 00:05:58 +0200

vsftpd (3.0.5-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Correct README.Debian with regard to local and anonymous logins.
    (Closes: #1104531)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 02 May 2025 13:17:12 +0200

vsftpd (3.0.5-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. (Closes: #991329)
    Fixes CVE-2021-3618

  [ Svante Signelle ]
  * Fix init script for Hurd (Closes: #975585)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 15 Jan 2025 12:19:33 +0100

vsftpd (3.0.3-13.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Stop removing ftp user/group on removal (Closes: #1042969)

 -- Luca Boccassi <bluca@debian.org>  Sun, 07 Jul 2024 13:39:11 +0100

vsftpd (3.0.3-13) unstable; urgency=medium

  [Frey Daniel]
  * Fix FTBFS when configured with NO_PAM (Closes: #953085)

  [Svante Signell]
  * Add sysvinit-utils in Depends (Closes: #975585)

  [Sven Dreyer]
  * Fix a type in manpage (Closes: #970436)

 -- Keng-Yu Lin <kengyu@debian.org>  Thu, 04 Mar 2021 05:05:45 +0800

vsftpd (3.0.3-12) unstable; urgency=low

  [Ryan Chu]
  * Fix faulty logic of greping PID in vsftpd.init (closes: #911396)

  [Keng-Yu Lin]
  * Bump Standards-Version to 4.3.0

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 06 Mar 2019 14:52:35 +0800

vsftpd (3.0.3-11) unstable; urgency=low

  [Michael Stone]
  * postinst: check if a file exists rather than a directory (Closes: #905242)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Thu, 02 Aug 2018 12:01:54 +0800

vsftpd (3.0.3-10) unstable; urgency=low

  * Add procps in Depends for the use in a clean chroot (Closes: #903974)
  * Removed Vcs-{Git, Browser}. Source can still be downloaded in the old way
   (Closes: #903716)
  * Fixed lintian warning in postinst
    - maintainer-script-should-not-use-recursive-chown-or-chmod
    - unnecessary-testsuite-autopkgtest-field
    - Removed dh-systemd and add debhelper (>= 9.20160709) in Build-Depends

 -- Keng-Yu Lin <kengyu@lexical.tw>  Sun, 29 Jul 2018 01:42:10 +0800

vsftpd (3.0.3-9) unstable; urgency=low

  [Helmut Grohne]
  * Fix FTCBFS: Let dh_auto_build pass cross compilers (Closes: #850471)

  [Keng-Yu Lin]
  * Add lsb-base (>= 3.0-6) to Depends to fix lintian error:
    - init.d-script-needs-depends-on-lsb-base

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 05 Jul 2017 13:55:35 +0800

vsftpd (3.0.3-8) unstable; urgency=low

  * Remove libeatmydata1 from Depends (Closes: #836904)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 21 Sep 2016 16:38:42 +0800

vsftpd (3.0.3-7) unstable; urgency=low

  [Chris Lamb]
  * debian/vsftpd.init:  initscript stop and restart actions should
    ensure the process has stopped before returning (Closes: #829247)

 -- Keng-Yu Lin <kengyu@lexical.tw>  Mon, 29 Aug 2016 14:05:05 +0800

vsftpd (3.0.3-6) unstable; urgency=low

  * New maintainer (Closes: #824694)
  * Update the Debian Policy to 3.9.8
  * Add libeatmydata1 in package Depends
  * Fixed debian/watch

 -- Keng-Yu Lin <kengyu@lexical.tw>  Wed, 10 Aug 2016 20:36:28 +0800

vsftpd (3.0.3-5) unstable; urgency=medium

  * QA upload.
  * Cherry-pick the Ubuntu fix for ipv6 (Closes: #819546)
    - thanks Louis Bouchard and Jeremy Bicha

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Jul 2016 08:55:01 +0200

vsftpd (3.0.3-4) unstable; urgency=medium

  * Orphan this package.
  * Set maintainer to Debian QA Group (See: #824694).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 18 May 2016 21:11:49 +0200
