=== debian/control ===
Source: vsftpd
Section: net
Maintainer: Keng-Yu Lin <kengyu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libcap2-dev [linux-any],
 libpam0g-dev,
 libssl-dev,
 libwrap0-dev
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/vsftpd
Vcs-Git: https://salsa.debian.org/debian/vsftpd.git
Homepage: https://security.appspot.com/vsftpd.html

Package: vsftpd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 adduser,
 libpam-modules,
 netbase,
 procps,
 sysvinit-utils (>= 2.96),
Recommends:
 logrotate,
 ssl-cert,
Conflicts: ftp-server
Replaces: ftp-server
Provides: ftp-server
Description: lightweight, efficient FTP server written for security
 This package provides the "Very Secure FTP Daemon", written from
 the ground up with security in mind.
 .
 It supports both anonymous and non-anonymous FTP access, PAM authentication,
 bandwidth limiting, and the Linux sendfile() facility.
