=== debian/rules ===
--- 
+++ 
@@ -10,14 +10,11 @@
 endif
 
 %:
-	dh ${@} --parallel --with=systemd,apport
+	dh ${@}
 
 override_dh_auto_build:
-	$(MAKE) CFLAGS="$(CFLAGS) $(CPPFLAGS)" LIBS="$(LIBS)" LINK=""
+	dh_auto_build -- CFLAGS="$(CFLAGS) $(CPPFLAGS)" LIBS="$(LIBS)" LINK=""
 
 override_dh_auto_install:
 	install -D -m 644 debian/vsftpd.apport $(CURDIR)/debian/vsftpd/usr/share/apport/package-hooks/vsftpd.py
 	# auto-install disabled
-
-override_dh_strip:
-	dh_strip --dbg-package=vsftpd-dbg
