=== debian/watch ===
Version: 5

Source: https://security.appspot.com/vsftpd.html
Matching-Pattern: .*/downloads/vsftpd-(.+)\.tar\.gz
